summaryrefslogtreecommitdiffstats
path: root/rulemgt-standalone/src/main/assembly/bin
diff options
context:
space:
mode:
authortangpeng <tang.peng5@zte.com.cn>2017-02-28 09:35:00 +0800
committertangpeng <tang.peng5@zte.com.cn>2017-02-28 10:19:38 +0800
commit3d84a2ac489366bb877211d29c3bf531c2d8a089 (patch)
treea150337d769b4eef39f3966757240322cb9a1a2f /rulemgt-standalone/src/main/assembly/bin
parente87f8243439fb68d1308a5132ae624942d77776d (diff)
Add Rule Management Standalone
Change-Id: I469fa41ea70f4f7b7740716287e46201f5faa484 Issue-ID:HOLMES-47 Signed-off-by: tangpeng <tang.peng5@zte.com.cn>
Diffstat (limited to 'rulemgt-standalone/src/main/assembly/bin')
-rw-r--r--rulemgt-standalone/src/main/assembly/bin/find_kill_process.bat24
-rw-r--r--rulemgt-standalone/src/main/assembly/bin/initDB.bat34
-rw-r--r--rulemgt-standalone/src/main/assembly/bin/initDB.sh34
-rw-r--r--rulemgt-standalone/src/main/assembly/bin/run.bat41
-rw-r--r--rulemgt-standalone/src/main/assembly/bin/run.sh35
-rw-r--r--rulemgt-standalone/src/main/assembly/bin/stop.bat34
-rw-r--r--rulemgt-standalone/src/main/assembly/bin/stop.sh44
7 files changed, 246 insertions, 0 deletions
diff --git a/rulemgt-standalone/src/main/assembly/bin/find_kill_process.bat b/rulemgt-standalone/src/main/assembly/bin/find_kill_process.bat
new file mode 100644
index 0000000..6c61d50
--- /dev/null
+++ b/rulemgt-standalone/src/main/assembly/bin/find_kill_process.bat
@@ -0,0 +1,24 @@
+@REM
+@REM Copyright 2017 ZTE Corporation.
+@REM
+@REM Licensed under the Apache License, Version 2.0 (the "License");
+@REM you may not use this file except in compliance with the License.
+@REM You may obtain a copy of the License at
+@REM
+@REM http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing, software
+@REM distributed under the License is distributed on an "AS IS" BASIS,
+@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+@REM See the License for the specific language governing permissions and
+@REM limitations under the License.
+@REM
+
+echo %1 | findstr %2 >NUL
+echo ERRORLEVEL=%ERRORLEVEL%
+IF ERRORLEVEL 1 goto findend
+for /f "tokens=1" %%a in (%1) do (
+ echo kill %1
+ taskkill /F /pid %%a
+)
+:findend \ No newline at end of file
diff --git a/rulemgt-standalone/src/main/assembly/bin/initDB.bat b/rulemgt-standalone/src/main/assembly/bin/initDB.bat
new file mode 100644
index 0000000..f6d83af
--- /dev/null
+++ b/rulemgt-standalone/src/main/assembly/bin/initDB.bat
@@ -0,0 +1,34 @@
+@REM
+@REM Copyright 2017 ZTE Corporation.
+@REM
+@REM Licensed under the Apache License, Version 2.0 (the "License");
+@REM you may not use this file except in compliance with the License.
+@REM You may obtain a copy of the License at
+@REM
+@REM http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing, software
+@REM distributed under the License is distributed on an "AS IS" BASIS,
+@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+@REM See the License for the specific language governing permissions and
+@REM limitations under the License.
+@REM
+
+@echo off
+set HOME=%~dp0
+set user=%1
+set password=%2
+set port=%3
+set host=%4
+echo start init holmes rulemgt db
+echo HOME=%HOME%
+set main_path=%HOME%..\
+cd /d %main_path%
+mysql -u%user% -p%password% -P%port% -h%host% < %main_path%\dbscripts\mysql\openo-holmes_rulemgt-createobj.sql
+set "err=%errorlevel%"
+if "%err%"=="0" (
+ echo init rulemgt db success
+ ) else (
+ echo failed init rulemgt db
+ pause
+ ) \ No newline at end of file
diff --git a/rulemgt-standalone/src/main/assembly/bin/initDB.sh b/rulemgt-standalone/src/main/assembly/bin/initDB.sh
new file mode 100644
index 0000000..f49123d
--- /dev/null
+++ b/rulemgt-standalone/src/main/assembly/bin/initDB.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+#
+# Copyright 2017 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+user=$1
+password=$2
+port=$3
+host=$4
+echo "start init holmes rulemgt db"
+main_path=$HOME/../
+mysql -u$user -p$password -P$port -h$host <$main_path/dbscripts/mysql/openo-holmes_rulemgt-createobj.sql
+sql_result=$?
+if [ $sql_result != 0 ] ; then
+ echo "failed to init rulemgt database!"
+ exit 1
+fi
+echo "init rulemgt success!"
+exit 0
+
diff --git a/rulemgt-standalone/src/main/assembly/bin/run.bat b/rulemgt-standalone/src/main/assembly/bin/run.bat
new file mode 100644
index 0000000..6553c82
--- /dev/null
+++ b/rulemgt-standalone/src/main/assembly/bin/run.bat
@@ -0,0 +1,41 @@
+@REM
+@REM Copyright 2017 ZTE Corporation.
+@REM
+@REM Licensed under the Apache License, Version 2.0 (the "License");
+@REM you may not use this file except in compliance with the License.
+@REM You may obtain a copy of the License at
+@REM
+@REM http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing, software
+@REM distributed under the License is distributed on an "AS IS" BASIS,
+@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+@REM See the License for the specific language governing permissions and
+@REM limitations under the License.
+@REM
+
+@echo off
+title holmes-rulemgt-service
+
+set RUNHOME=%~dp0
+echo ### RUNHOME: %RUNHOME%
+echo ### Starting rulemgt-service
+set main_path=%RUNHOME%..\
+cd /d %main_path%
+set JAVA="%JAVA_HOME%\bin\java.exe"
+set port=8312
+set jvm_opts=-Xms50m -Xmx128m
+rem set jvm_opts=%jvm_opts% -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=%port%,server=y,suspend=n
+set class_path=%main_path%;%main_path%holmes-rulemgt.jar
+echo ### jvm_opts: %jvm_opts%
+echo ### class_path: %class_path%
+
+%JAVA% -classpath %class_path% %jvm_opts% org.openo.holmes.rulemgt.RuleActiveApp server %main_path%conf/rulemgt.yml
+
+IF ERRORLEVEL 1 goto showerror
+exit
+:showerror
+echo WARNING: Error occurred during startup or Server abnormally stopped by way of killing the process,Please check!
+echo After checking, press any key to close
+pause
+exit \ No newline at end of file
diff --git a/rulemgt-standalone/src/main/assembly/bin/run.sh b/rulemgt-standalone/src/main/assembly/bin/run.sh
new file mode 100644
index 0000000..0519cc2
--- /dev/null
+++ b/rulemgt-standalone/src/main/assembly/bin/run.sh
@@ -0,0 +1,35 @@
+#
+# Copyright 2017 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+RUNHOME=`cd $DIRNAME/; pwd`
+echo @RUNHOME@ $RUNHOME
+
+echo @JAVA_HOME@ $JAVA_HOME
+JAVA="$JAVA_HOME/bin/java"
+echo @JAVA@ $JAVA
+main_path=$RUNHOME/../
+cd $main_path
+JAVA_OPTS="-Xms50m -Xmx128m"
+port=8312
+#JAVA_OPTS="$JAVA_OPTS -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=$port,server=y,suspend=n"
+echo @JAVA_OPTS@ $JAVA_OPTS
+
+class_path="$main_path/:$main_path/holmes-rulemgt.jar"
+echo @class_path@ $class_path
+
+"$JAVA" $JAVA_OPTS -classpath "$class_path" org.openo.holmes.rulemgt.RuleActiveApp server "$main_path/conf/rulemgt.yml"
+
diff --git a/rulemgt-standalone/src/main/assembly/bin/stop.bat b/rulemgt-standalone/src/main/assembly/bin/stop.bat
new file mode 100644
index 0000000..ca7b4ff
--- /dev/null
+++ b/rulemgt-standalone/src/main/assembly/bin/stop.bat
@@ -0,0 +1,34 @@
+@REM
+@REM Copyright 2017 ZTE Corporation.
+@REM
+@REM Licensed under the Apache License, Version 2.0 (the "License");
+@REM you may not use this file except in compliance with the License.
+@REM You may obtain a copy of the License at
+@REM
+@REM http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing, software
+@REM distributed under the License is distributed on an "AS IS" BASIS,
+@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+@REM See the License for the specific language governing permissions and
+@REM limitations under the License.
+@REM
+
+@echo off
+title stopping engine-d-service
+
+set HOME=%~dp0
+set Main_Class="org.openo.holmes.rulemgt.RuleActiveApp"
+
+echo ================== engine-d-service info =============================================
+echo HOME=$HOME
+echo Main_Class=%Main_Class%
+echo ===============================================================================
+
+echo ### Stopping engine-d-service
+cd /d %HOME%
+
+for /f "delims=" %%i in ('"%JAVA_HOME%\bin\jcmd"') do (
+ call find_kill_process "%%i" %Main_Class%
+)
+exit \ No newline at end of file
diff --git a/rulemgt-standalone/src/main/assembly/bin/stop.sh b/rulemgt-standalone/src/main/assembly/bin/stop.sh
new file mode 100644
index 0000000..f9e07a4
--- /dev/null
+++ b/rulemgt-standalone/src/main/assembly/bin/stop.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+#
+# Copyright 2017 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+Main_Class="org.openo.holmes.rulemgt.RuleActiveApp"
+
+echo ================== engine-d-service info =============================================
+echo HOME=$HOME
+echo Main_Class=$Main_Class
+echo ===============================================================================
+cd $HOME; pwd
+
+echo @WORK_DIR@ $HOME
+
+function save_service_pid(){
+ service_pid=`ps -ef | grep $Main_Class | grep -v grep | awk '{print $2}'`
+ echo @service_pid@ $service_pid
+}
+
+function kill_service_process(){
+ ps -p $service_pid
+ if [ $? == 0 ]; then
+ kill -9 $service_pid
+ fi
+}
+
+save_service_pid;
+echo @C_CMD@ kill -9 $service_pid
+kill_service_process; \ No newline at end of file